import React from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';
import { Face } from './Face';

const width = 180;
const height = 160;

const array = range(2 * 10);

const App = () =>
  array.map(() => (
    <Face
      width={width}
      height={height}
      centerX={width / 2}
      centerY={height / 2}
      strokeWidth={6 + Math.random() * 2}
      eyeOffsetX={20 + Math.random() * 9}
      eyeOffsetY={20 + Math.random() * 20}
      eyeRadius={7 + Math.random() * 5}
      mouthWidth={7 + Math.random() * 9}
      mouthRadius={10 + Math.random() * 10}
    />
  ));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
